<?php
/**
* HTTPレスポンスをラップするクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class Response extends Object
{
	private $_data;
	private $_status;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		parent::__construct();

		$this->_data = new HashMap();
	}

	/*
	 *    ステータスコードを取得
	 */
	public function getStatusCode()
	{
		return $this->_status;
	}

	/*
	 *    ステータスコードを設定
	 */
	public function setStatusCode( Integer $status_code )
	{
		$this->_status = status_code;
	}

	/*
	 *    キー一覧を取得
	 */
	public function getKeys()
	{
		return $this->_data->getKeys();
	}

	/*
	 * レスポンスデータを取得
	 */
	public function get( String $key )
	{
		return $this->_data->get( $key );
	}

	/*
	 * レスポンスデータを設定
	 */
	public function set( String $key, $value )
	{
		$this->_data->set( $key, $value );
	}

	/*
	 * 文字列化
	 */
	public function __toString()
	{
		$str = "[Response{$this->_data}";
		return $str;
	}
}
return __FILE__;
